:root{
    --canvas-width: 400px;
    --transition: 0.4s;
}

html{
    font-family: 'Roboto', sans-serif; 
    color: #fff;
}

body{
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin: 0;
    background: rgba(0,0,0,0.75);
}

.header{
    grid-column: 1/3;
    grid-row: 1/2;
    padding-left: 20px;
    padding-right: 20px;
}

main{
    grid-column: 1/2;
    grid-row: 2/3;
    /* width: var(--canvas-width); */
    cursor: pointer;
}
.sidebar{
    grid-column: 2/3;
    grid-row: 2/3;
    background: rgba(0,0,0,0.5);
    display: flex;
    align-items: center;
}

.header{
    text-align: center;
}
.header h1{
    text-transform: uppercase;
    font-weight: 800;

    font-size: 2.5rem;
}
.subheading{
    margin-bottom: 40px;
    max-width: 850px;
    margin-left: auto; margin-right: auto;
}


.sidebar ul{
    list-style: none;
    margin: 0;
    padding-left: 0;
    width: 100%;
}
li{

    transition: var(--transition);
}
li a{
    color: rgba(200, 200, 200);
    font-size: 1.2rem;
    padding: 15px 20px;
    display: block;
    text-decoration: none;
    text-transform: uppercase;
    transition: background-color var(--transition), color var(--transition);
}

li a:hover{
    background-color: rgba(0,0,0,0.75);
    color: rgba(255,255,255);
}

.modal{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(255,255,255,0.2);
    display: none;
    animation-name: fadein;
    animation-duration: var(--transition);
    cursor: pointer;
    z-index: 1;
}

.modal-content-wrapper{
    position: fixed;
    width: 80%;
    height: 70vh;
    background: rgba(0,0,0,0.75);
    text-align: center;
    margin-top: 10vh;
    left: 10%;
    cursor: unset;
    z-index: 2;

}

@keyframes fadein{
    0%{opacity: 0;}
    100%{opacity: 1;}
}

.modal-content{padding: 50px;}

.item-title{
    text-transform: uppercase;
}